#!/bin/bash

# prendo la data e l'ora corrente
DATA=`date +%F`
ORA=`date +%H.%M`
echo "La data di oggi e' $DATA e adesso sono le ore $ORA."

DIR_BACKUP="backup_${DATA}_$ORA"
echo "la directory di backup sara' $DIR_BACKUP"

# mi assicuro che la directory di backup esista
if [ ! -d "$DIR_BACKUP" ]; then
    mkdir "$DIR_BACKUP"
fi

# esamino tutti i file nella cartella corrente
for FILE in `ls -1`; do
    # controllo che si tratti di un file
    if [ -f "$FILE" ]; then
	echo "- faccio il backup di '$FILE'..."
	# ne faccio una copia compressa di backup
	cat "$FILE" | gzip > "$DIR_BACKUP/$FILE.gz"
    fi
done

echo " ...fatto!"
